<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');
class Messages {

	private $CI;	
	private $messages; // = array();
	
	function Messages(){
		$this->CI = & get_instance();
		$this->CI->load->helper('cookie');
		
		$this->messages = array(
			'yellow' => get_cookie('yellow'),
			'red' => get_cookie('red'),
			'blue' => get_cookie('blue'),
			'green' => get_cookie('green')
		);
		// get_cookie
		// załadować helper cookie, w konstruktorze odczytać wartości do zmiennych
	}
	
	public function set_message($type, $message){
		$cookie = array('name' => $type, 'value' => $message, 'expire' => '865000');

		set_cookie($cookie); 
		$this->messages[$type] = $message;
		//  zapisywać wiadomość do ciacha i zmiennej
	}
	public function get_message($type, $delete = true){
	
		// odczytywać ze zmiennej? Czy trzeba będzie z ciacha? Czy wartości ze zmiennych się nie zgubią?
		$message = $this->messages[$type];
		if($delete){
			$this->messages[$type] = null;
			delete_cookie($type);
		}
		return $message;
	}
}
